Bug 236297 - Review Request: xoo - Xoo is a graphical wrapper around xnest.
Review Request: xoo - Xoo is a graphical wrapper around xnest.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wes Hardaker
Fedora Package Reviews List
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-12 18:04 EDT by Paul Wouters
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-12 00:22:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wjhns174: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Wouters 2007-04-12 18:04:28 EDT
Spec URL: ftp://ftp.xelerance.com/xoo/xoo.spec
SRPM URL: ftp://ftp.xelerance.com/xoo/xoo-0.7-1.src.rpm
Description: Xoo is a graphical wrapper around xnest

Xoo is a graphical wrapper around xnest. You can make Xnest
look like a particular device's display and set up buttons on that
device. This is being used by the Openmoko project, see: http://wiki.openmoko.org/wiki/Getting_Openmoko_working_on_host_with_Xoo
Comment 1 Bernard Johnson 2007-05-04 11:54:24 EDT
checking for X... no
checking for pkg-config... /usr/bin/pkg-config
checking for GConf... no
checking for i686-redhat-linux-gnu-pkg-config... (cached) /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for APP... configure: error: Package requirements (gtk+-2.0
libglade-2.0 ) were not met.
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively you may set the APP_CFLAGS and APP_LIBS environment variables
to avoid the need to call pkg-config.  See the pkg-config man page for
more details.
Comment 2 Bernard Johnson 2007-05-06 01:35:56 EDT
Here are a couple of the missing BRs:

gtk2-devel, libglade2-devel, expat-devel


with those listed, I still see these messages in the build log:


checking for X... no
checking for GConf... no


You don't need the %post and %postun scriptlets because you're not installing
any shared libraries.

Your .desktop file is not installed correctly.  Please see:
http://fedoraproject.org/wiki/PackagingDrafts/DesktopFiles


%configure should be part of %build, not %prep

Group: should probably be Applications/System
Comment 3 Bernard Johnson 2007-05-21 15:45:20 EDT
ping.
Comment 4 Bernard Johnson 2007-06-08 15:23:23 EDT
Closing for lack of response.
Comment 5 Paul Wouters 2007-07-05 17:58:01 EDT
Sorry :(

This package fell between the cracks.

Spec URL: ftp://ftp.xelerance.com/xoo/xoo.spec
SRPM URL: ftp://ftp.xelerance.com/xoo/xoo-0.7-2.f7.src.rpm

Changes:
Added BuildRequires (eg GConf2-devel). Tested it builds in mock successfully

Comment 6 Wes Hardaker 2007-07-09 17:34:43 EDT
srpm whine: link should be fc7 (works) not f7 (doesn't work)

builds
rpmlint clean
Comment 7 Wes Hardaker 2007-07-09 18:37:03 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: i386/fc6
 [x] Rpmlint output:
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     MD5SUM this package    : 9b1911cff0290be0f6eb1f8ba62dcbae
     MD5SUM upstream package: 9b1911cff0290be0f6eb1f8ba62dcbae
 [x] Package is not known to require ExcludeArch, OR:
     Arches excluded:
     Why:
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [x] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [ ] Reviewer should test that the package builds in mock.
     Tested on:
 [ ] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:
 [x] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [ ] File based requires are sane.


APPROVED
Comment 8 Kevin Fenzi 2007-07-10 12:10:04 EDT
Paul: Can you please add a CVS template so we know what branches you would like
and such? 
See: http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure
Add a template and reset fedora-cvs to ?
Comment 9 Paul Wouters 2007-07-11 12:36:46 EDT
Oops. sorry. didnt know about the new template issue.

New Package CVS Request
=======================
Package Name: xoo
Short Description: Xoo is a graphical wrapper around xnest
Owners: paul@xelerance.com
Branches: FC-6 F-7
InitialCC: paul@xelerance.com
Comment 10 Kevin Fenzi 2007-07-11 22:16:29 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.